This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1316126 - ypbind.service ExecStartPre failed
ypbind.service ExecStartPre failed
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ypbind (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matej Mužila
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 08:29 EST by Yu Watanabe
Modified: 2016-12-20 14:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:20:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to suppress error messages related to missing setsebool command (750 bytes, patch)
2016-03-14 21:01 EDT, Yu Watanabe
no flags Details | Diff

  None (edit)
Description Yu Watanabe 2016-03-09 08:29:02 EST
Description of problem:

Service ypbind.service shows error message when policycoreutils package is not installed.

$ systemctl status ypbind.service
● ypbind.service - NIS/YP (Network Information Service) Clients to NIS Domain Binder
   Loaded: loaded (/usr/lib/systemd/system/ypbind.service; disabled; vendor preset: disabled)
   Active: active (running) since Wed 2016-03-09 22:02:48 JST; 5min ago
  Process: 760 ExecStartPost=/usr/libexec/ypbind-post-waitbind (code=exited, status=0/SUCCESS)
  Process: 722 ExecStartPre=/usr/sbin/setsebool allow_ypbind=1 (code=exited, status=203/EXEC)
  Process: 695 ExecStartPre=/usr/libexec/ypbind-pre-setdomain (code=exited, status=0/SUCCESS)
 Main PID: 734 (ypbind)
   Status: "Processing requests..."
   CGroup: /system.slice/ypbind.service
           └─734 /usr/sbin/ypbind -n

Mar 09 22:02:48 hoge.foo.com systemd[1]: Starting NIS/YP (Network Information Service) Clients to NIS Domain Binder...
Mar 09 22:02:48 yitp00.yukawa.kyoto-u.ac.jp ypbind-pre-setdomain[695]: Setting NIS domain: 'test.group' (environment variable)
Mar 09 22:02:48 hoge.foo.com ypbind[770]: Binding took 0 seconds
Mar 09 22:02:48 hoge.foo.com systemd[1]: Started NIS/YP (Network Information Service) Clients to NIS Domain Binder.

$ journalctl | grep setsebool
Mar 09 22:02:48 hoge.foo.com systemd[722]: ypbind.service: Failed at step EXEC spawning /usr/sbin/setsebool: No such file or directory

Version-Release number of selected component (if applicable):

ypbind-1.38-4.fc23.x86_64

How reproducible:

Always.

Steps to Reproduce:
1. Install system without policycoreutils package. 
2. Install and setup ypbind.
3. systemctl start ypbind.service

Actual results:

The second ExecStartPre line failed.

Expected results:

Start the service without any error message.

Additional info:

If SELinux is disabled, ypbind works correctly without calling setsebool command on ExecStartPre. So, I propose that calling setsebool command in /usr/libexec/ypbind-pre-setdomain like
%%%%%%%%%%%
if [ -x /usr/sbin/setsebool ]; then
    /usr/sbin/setsebool allow_ypbind=1
fi
%%%%%%%%%%%
Comment 1 Yu Watanabe 2016-03-14 21:01 EDT
Created attachment 1136344 [details]
patch to suppress error messages related to missing setsebool command

I've created a patch to implement my suggestion. Please review it.
Comment 2 Fedora End Of Life 2016-11-24 10:59:27 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 14:20:35 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.